=== debian/changelog ===
eliom (2.2.2-1) unstable; urgency=low

  * New upstream release (Closes: #676767)

 -- Stéphane Glondu <glondu@debian.org>  Mon, 11 Jun 2012 15:05:22 +0200

eliom (2.1.1b-3) unstable; urgency=low

  * Upload to unstable
  * Add Vcs-* headers

 -- Stéphane Glondu <glondu@debian.org>  Wed, 02 May 2012 08:35:44 +0200

eliom (2.1.1b-2) experimental; urgency=low

  * Fix FTBFS on bytecode architectures

 -- Stéphane Glondu <glondu@debian.org>  Wed, 11 Apr 2012 13:59:13 +0200

eliom (2.1.1b-1) experimental; urgency=low

  * New upstream release
    - bump build-dependencies to ocsigenserver 2.0.4 and js-of-ocaml 1.1.1
    - remove patch (merged upstream)
  * package libeliom-doc renamed in libeliom-ocaml-doc
  * Fix manpages installation when installing only bytecode

 -- Pierre Chambart <pierre.chambart@crans.org>  Tue, 27 Mar 2012 19:10:23 +0200

eliom (2.1.0-1) experimental; urgency=low

  [ Pierre Chambart, Stéphane Glondu ]
  * Initial packaging. (Closes: #660091)

 -- Stéphane Glondu <glondu@debian.org>  Mon, 19 Mar 2012 07:20:32 +0100
