=== debian/control ===
Source: eliom
Section: ocaml
Priority: optional
Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
Uploaders:
  Stéphane Glondu <glondu@debian.org>,
  Pierre Chambart <pierre.chambart@crans.org>
Build-Depends:
  ocaml-nox (>= 3.12.1-2~),
  ocamlduce,
  ocaml-findlib,
  dh-ocaml (>= 0.9~),
  debhelper (>= 8),
  ocsigenserver (>= 2.0.4),
  libocsigenserver-ocaml-dev (>= 2.1),
  libderiving-ocsigen-ocaml-dev (>= 0.3),
  libjs-of-ocaml-dev (>= 1.1.1),
  libcalendar-ocaml-dev (>= 2.03),
  liblwt-ssl-ocaml-dev (>= 2.3.2),
  libreact-ocaml-dev (>= 0.9.2),
  js-of-ocaml (>= 1.2),
  libtyxml-ocaml-dev (>= 2.1)
Standards-Version: 3.9.3
Homepage: http://ocsigen.org/eliom
Vcs-Browser: http://git.debian.org/?p=pkg-ocaml-maint/packages/eliom.git
Vcs-Git: git://git.debian.org/git/pkg-ocaml-maint/packages/eliom.git

Package: libeliom-ocaml-dev
Architecture: any
Depends:
 ${ocaml:Depends},
 ${shlibs:Depends},
 ${misc:Depends}
Provides: ${ocaml:Provides}
Recommends:
 ocaml-findlib
Description: web framework for ocsigenserver (dev libraries)
 Eliom allows one to easily develop sophisticated client/server Web
 applications using OCaml.
 .
 This package contains the development files needed to use Eliom.

Package: libeliom-ocaml
Architecture: any
Depends:
 ${ocaml:Depends},
 ${shlibs:Depends},
 ${misc:Depends}
Provides: ${ocaml:Provides}
Recommends:
 ocaml-findlib
Description: web framework for ocsigenserver (runtime libraries)
 Eliom allows one to easily develop sophisticated client/server Web
 applications using OCaml.
 .
 This package contains dynamically loadable modules to use with
 Ocsigenserver.

Package: libeliom-ocaml-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Enhances: libeliom-ocaml-dev
Description: web framework for ocsigenserver (documentation)
 Eliom allows one to easily develop sophisticated client/server Web
 applications using OCaml.
 .
 This package contains documentation: the manual (in wikicreole
 format) and the API reference generated by ocamldoc (in HTML format).
