=== debian/watch ===
version=3
opts="uversionmangle=s/-rc/~rc/,dversionmangle=s/\+dfsg\d*$//" \
http://ocsigen.org/download/eliom-([0-9].*)\.tar\.gz
